:1
if exist a:\skyfox16.exe goto 2
echo 
echo Insert the EGA version of SKYFOX II Program Disk in drive A.
pause
goto 1
:2
echo 
echo Copying SKYFOX II program...
copy a:\skyfox16.exe %1\skyfox
if not exist %1\skyfox\skyfox16.exe goto installationError
echo Copying SKYFOX II files...
if not exist %1\skyfox\bitmaps md %1\skyfox\bitmaps
copy a:\bitmaps %1\skyfox\bitmaps
if not exist %1\skyfox\bitmaps\egafox.pck goto installationError
:installDone
cd %1\skyfox
echo 
echo SKYFOX II is now installed on your hard disk.  To run it, type "SKYFOX16".
%1
goto done
:installationError
echo 
echo Installation Error: Perhaps there isn't enough space on your hard disk.
echo SKYFOX II installation requires at least 360k free space.
goto errorDone
:errorDone
echo 
echo SKYFOX II was not installed correctly.
:done
